package com.mvc.model.iotcard;

import java.io.Serializable;
import java.util.List;

/**
 * 上海秩易物联网卡平台查询结果
 */
public class ShyzResultModel implements Serializable {
    private Integer code;
    private String msg;
    private String time;
    private ShyzResultList data;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public ShyzResultList getData() {
        return data;
    }

    public void setData(ShyzResultList data) {
        this.data = data;
    }

    public static class ShyzResultList implements Serializable {
        private List<ShyzResultItem> list;

        // Getters and Setters
        public List<ShyzResultItem> getList() {
            return list;
        }

        public void setList(List<ShyzResultItem> list) {
            this.list = list;
        }
    }

    public static class ShyzResultItem implements Serializable {
        private String iccid;
        private String access_number;
        private String imsi;
        private String package_name;
        private String margin;
        private String month_margin;
        private String month_total_margin;
        private String use_than;
        private String package_type;
        private Integer test_margin;
        private String remark;
        private String client_name;
        private String operator_text;
        private String end_time_text;
        private String activate_time_text;
        private String test_end_time_text;
        private String status_text;
        private String silence_end_time_text;
        private String silence_num_text;
        private String test_num_text;
        private String card_type_text;

        public String getIccid() {
            return iccid;
        }

        public void setIccid(String iccid) {
            this.iccid = iccid;
        }

        public String getAccess_number() {
            return access_number;
        }

        public void setAccess_number(String access_number) {
            this.access_number = access_number;
        }

        public String getImsi() {
            return imsi;
        }

        public void setImsi(String imsi) {
            this.imsi = imsi;
        }

        public String getPackage_name() {
            return package_name;
        }

        public void setPackage_name(String package_name) {
            this.package_name = package_name;
        }

        public String getMargin() {
            return margin;
        }

        public void setMargin(String margin) {
            this.margin = margin;
        }

        public String getMonth_margin() {
            return month_margin;
        }

        public void setMonth_margin(String month_margin) {
            this.month_margin = month_margin;
        }

        public String getMonth_total_margin() {
            return month_total_margin;
        }

        public void setMonth_total_margin(String month_total_margin) {
            this.month_total_margin = month_total_margin;
        }

        public String getUse_than() {
            return use_than;
        }

        public void setUse_than(String use_than) {
            this.use_than = use_than;
        }

        public String getPackage_type() {
            return package_type;
        }

        public void setPackage_type(String package_type) {
            this.package_type = package_type;
        }

        public Integer getTest_margin() {
            return test_margin;
        }

        public void setTest_margin(Integer test_margin) {
            this.test_margin = test_margin;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public String getClient_name() {
            return client_name;
        }

        public void setClient_name(String client_name) {
            this.client_name = client_name;
        }

        public String getOperator_text() {
            return operator_text;
        }

        public void setOperator_text(String operator_text) {
            this.operator_text = operator_text;
        }

        public String getEnd_time_text() {
            return end_time_text;
        }

        public void setEnd_time_text(String end_time_text) {
            this.end_time_text = end_time_text;
        }

        public String getActivate_time_text() {
            return activate_time_text;
        }

        public void setActivate_time_text(String activate_time_text) {
            this.activate_time_text = activate_time_text;
        }

        public String getTest_end_time_text() {
            return test_end_time_text;
        }

        public void setTest_end_time_text(String test_end_time_text) {
            this.test_end_time_text = test_end_time_text;
        }

        public String getStatus_text() {
            return status_text;
        }

        public void setStatus_text(String status_text) {
            this.status_text = status_text;
        }

        public String getSilence_end_time_text() {
            return silence_end_time_text;
        }

        public void setSilence_end_time_text(String silence_end_time_text) {
            this.silence_end_time_text = silence_end_time_text;
        }

        public String getSilence_num_text() {
            return silence_num_text;
        }

        public void setSilence_num_text(String silence_num_text) {
            this.silence_num_text = silence_num_text;
        }

        public String getTest_num_text() {
            return test_num_text;
        }

        public void setTest_num_text(String test_num_text) {
            this.test_num_text = test_num_text;
        }

        public String getCard_type_text() {
            return card_type_text;
        }

        public void setCard_type_text(String card_type_text) {
            this.card_type_text = card_type_text;
        }
    }
}


